## libcreds2 1.2.21%2b0m6

=== debian/changelog ===
libcreds2 (1.2.21+0m6) stable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 1.2.21+0m6

 -- BIFH Bot <sysint@maemo.research.nokia.com>  Tue, 05 Apr 2011 16:01:57 +0300

libcreds2 (1.2.21) stable; urgency=low

  * Fix incorrectly placed assert statements
  * Fixes: NB#243579 - Libcreds invalidly references to old memory pointer after realloc

 -- Markku Savela <ext-Markku.Savela@nokia.com>  Tue, 05 Apr 2011 16:01:56 +0300

libcreds2 (1.2.20) unstable; urgency=low

  * Fixes: NB#241253 - libcreds gettask function should be documented properly

 -- Elena Reshetova <elena.reshetova@nokia.com>  Tue, 29 Mar 2011 14:41:21 +0300

libcreds2 (1.2.19) unstable; urgency=low

  * Fixes: NB#231563 - libcreds2 is missing debug symbols

 -- Laszlo Papp <ext-laszlo.papp@nokia.com>  Fri, 18 Mar 2011 08:57:21 +0300

libcreds2 (1.2.18) unstable; urgency=low

  * Using DEB_BUILD_OPTIONS in configure.ac to control the libcreds2-doc
  * Fixes: NB#224869 - libcreds2-doc is empty when DEB_BUILD_OPTIONS contains "nodocs"

 -- Pawel Biernacki <pawel.biernacki@nokia.com>  Thu, 03 Mar 2011 15:02:00 +0300

libcreds2 (1.2.17) unstable; urgency=low

  * Fixes: NB#231563 - libcreds2 is missing debug symbols

 -- Laszlo Papp <ext-laszlo.papp@nokia.com> Thu, 03 Mar 2011 16:44:21 +0300

libcreds2 (1.2.16) unstable; urgency=low

  * Add support to compile the version with creds_kgetpeer under old
    kernel headers. Prepare for transition

 -- Markku Savela <ext-Markku.Savela@nokia.com>  Tue, 01 Mar 2011 14:00:27 +0200

libcreds2 (1.2.15) stable; urgency=low

  * creds_have_access() function added

 -- Elena Reshetova <elena.reshetova@nokia.com>  Wed, 10 Nov 2010 13:51:23 +0300

libcreds2 (1.2.14) unstable; urgency=low

  * Fixes: NB#196902 - libcreds2-tests should use testrunner-lite

 -- Paula Cogeanu <ext-paula.1-cogeanu@nokia.com>  Fri, 08 Oct 2010 12:21:23 +0300

libcreds2 (1.2.13) unstable; urgency=low

  * Fixes: NB#191393  -- change API from unstable to stable

 -- Markku Savela <ext-Markku.Savela@nokia.com>  Wed, 15 Sep 2010 11:29:02 +0300

libcreds2 (1.2.12) unstable; urgency=low

  * Fixed creds-audit.c compilation warnings.

  * Preparing for next kernel header release.

 -- Vesa Jaaskelainen <ext-vesa.jaaskelainen@nokia.com>  Fri, 27 Aug 2010 14:39:38 +0300

libcreds2 (1.2.11) unstable; urgency=low

  * Adding creds_confine2() to allow fallback to specified list in case there
    is no existing policy for target application.

 -- Vesa Jaaskelainen <ext-vesa.jaaskelainen@nokia.com>  Mon, 23 Aug 2010 16:17:43 +0300

libcreds2 (1.2.10) unstable; urgency=low

  * Fixes: NB#177630 - creds_set() missing CREDP_TYPE_SET flag added

 -- Elena Reshetova <elena.reshetov@nokia.com>  Fri, 02 Jul 2010 10:57:32 +0300

libcreds2 (1.2.9) unstable; urgency=low

  * creds-get to fail on unknown pid

 -- Dmitry Kasatkin <dmitry.kasatkin@nokia.com>  Tue, 22 Jun 2010 16:57:32 +0300

libcreds2 (1.2.8) unstable; urgency=low

  * Add api file

 -- Elena Reshetova <elena.reshetova@nokia.com>  Fri, 04 Jun 2010 12:18:49 +0300

libcreds2 (1.2.7) unstable; urgency=low

  * Add (untested) functions creds_export/creds_import. The intended use
    for these are, for example, when a credentials list needs to be
    transferred in DBus message. Using these functions, the DBus message
    format is just simple array of unsigned 32 bit integers.

 -- Markku Savela <ext-Markku.Savela@nokia.com>  Fri, 07 May 2010 13:53:49 +0300

libcreds2 (1.2.6) unstable; urgency=low

  * Make credp_str2flags more useful with NULL string, and clarify the
    return value of the credp_flags2str (always >= 0).
  * Add 'preinst' script which turns audit off to 'libcreds2' and
    'libcreds2-audit' (otherwise post installation may fail). This means
    that when upgrading either libcreds2 or libcreds2-audit pacakge, the
    audit mode will be turned off.

 -- Markku Savela <ext-Markku.Savela@nokia.com>  Fri, 30 Apr 2010 10:11:47 +0300

libcreds2 (1.2.5) unstable; urgency=low

  * Add new functions: credp_str2flags, credp_flags2str, creds_confine, creds_set2
  * libcreds-audit should not use "*.so.*" in storing the saved library
    (ldconfig messes it up). Save library as '/usr/lib/libcreds-saves'

 -- Markku Savela <ext-Markku.Savela@nokia.com>  Thu, 29 Apr 2010 15:14:37 +0300

libcreds2 (1.2.4) unstable; urgency=low

  * Fix segfault in libcreds_audit version, when creds_gettask is called
    with invalid PID, and when creds_add called with NULL handle.

 -- Markku Savela <ext-Markku.Savela@nokia.com>  Thu, 29 Apr 2010 09:43:10 +0300

libcreds2 (1.2.3) unstable; urgency=low

  * Installing libcreds2-audit will turn it on by default. Requires a call
    to 'libcreds-audit' during system startup.

 -- Markku Savela <ext-Markku.Savela@nokia.com>  Thu, 15 Apr 2010 15:32:45 +0300

libcreds2 (1.2.2) unstable; urgency=low

  * Add special permissive mode libcreds2-audit library and a tool
    'libcreds-audit' to turn it on and off. Uses syslog.

 -- Markku Savela <ext-Markku.Savela@nokia.com>  Thu, 01 Apr 2010 16:18:24 +0300

libcreds2 (1.2.1) unstable; urgency=low

  * Add libcreds2-audit package, creds_have_p returns always 1, but log
    failures.

 -- Markku Savela <ext-Markku.Savela@nokia.com>  Tue, 30 Mar 2010 13:26:33 +0300

libcreds2 (1.2.0) unstable; urgency=low

  * initial commit to gitorious.org

 -- Timofey Turenko <turenko@esdhcp042135.research.nokia.com>  Thu, 18 Mar 2010 16:52:42 +0200
