=== debian/control ===
Source: libcreds2
Priority: extra
Maintainer: Marcin Mielniczuk <marmistrz@linux.pl>
XSBC-Original-Maintainer: Markku Savela <ext-Markku.Savela@nokia.com>
Build-Depends: debhelper, autoconf2.64 ,automake1.10-autoconf264,libtool,cdbs,doxygen (>= 1.5)
Standards-Version: 3.7.3
Section: libs

Package: libcreds2-dev
Section: libdevel
Architecture: any
Depends: libcreds2 (= ${binary:Version})
Provides: libcreds-dev
Conflicts: libcreds-dev
Description: developement libaries and header files for libcreds. WARNING: non-optified!
 Contains the necessary support for building applications
 that need to access credentials information from other
 processes.

Package: libcreds2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: libcreds
Conflicts: libcreds
Description: support for getting task credentials of another task. WARNING: non-optified!
 This library enables access to the credentials of an another
 process.

Package: libcreds2-dbg
Section: libdevel
Priority: optional
Architecture: any
Depends: libcreds2 (= ${binary:Version}) ${shlibs:Depends}, ${misc:Depends}
Description: libcreds2 shared library debug symbols. WARNING: non-optified!

Package: libcreds2-audit
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcreds2 (= ${binary:Version})
Description: support for getting task credentials of another task. WARNING: non-optified!
 This library enables access to the credentials of an another
 process. But, the 'creds_have_p' returns always 1 and logs the
 calls that should have failed.

Package: libcreds2-audit-dbg
Section: libdevel
Priority: optional
Architecture: any
Depends: libcreds2-audit (= ${binary:Version}) ${shlibs:Depends}, ${misc:Depends}
Description: libcreds2-audit shared library debug symbols. WARNING: non-optified!

Package: libcreds2-tools
Section: utils
Priority: optional
Architecture: any
Depends: libcreds2 (= ${binary:Version}),${shlibs:Depends}
Description: command line utilities
 This library contains command line utilities
 for develoment use and testing.

Package: libcreds2-tools-dbg
Section: libdevel
Priority: optional
Architecture: any
Depends: libcreds2-tools (= ${binary:Version}) ${shlibs:Depends}, ${misc:Depends}
Description: libcreds2-tools shared library debug symbols

Package: libcreds2-tests
Section: tests
Priority: optional
Architecture: any
Depends: libcreds2 (= ${binary:Version}),libcreds2-tools,testrunner-lite,ci-testing
XB-Maemo-CI-Packages: libcreds2
XB-Maemo-CI-Stage: fast,staging,acceptance,validation
Description: test credentials libary support
 This library contains the testing tools of the credentials
 library implementation.

Package: libcreds2-doc
Section: utils
Priority: optional
Architecture: any
Depends: libcreds2 (= ${binary:Version}),${shlibs:Depends}
Description: this package contains doxygen documentation of creds.h header file
